Bug 243030

Summary: news/husky*: Update ports to latest versions
Product: Ports & Packages Reporter: Ruslan Suleimanov <rs>
Component: Individual Port(s)Assignee: Tobias C. Berner <tcberner>
Status: Closed FIXED    
Severity: Affects Only Me CC: osharoiko, tcberner
Priority: --- Keywords: needs-patch, needs-qa
Version: LatestFlags: osharoiko: maintainer-feedback+
Hardware: Any   
OS: Any   
URL: https://github.com/huskyproject
Attachments:
Description Flags
Update news/husky* ports to 1.9.20191207
osharoiko: maintainer-approval+
Output from poudriere test port
none
Update news/husky* ports to 1.9.20191207
none
Output from poudriere test port
none
Update news/husky* ports to 1.9.20191207
osharoiko: maintainer-approval+
svn status for the patch (documents adds and deletions)
none
Output from `patch < /tmp/husky_update_v6.diff' none

Description Ruslan Suleimanov 2020-01-01 23:45:04 UTC
Hi friends,


Please update several depends ports of the Husky project. Now ports r2014. 

Structure FreeBSD ports of Husky project:

1. ports/news/husky/
2. ports/news/husky-areafix/
3. ports/news/husky-fidoconf/
4. ports/news/husky-hpt/
5. ports/news/husky-htick/
6. ports/news/husky-huskylib/
7. ports/news/husky-smapi/
8. ports/news/husky-sqpack/

All updates 2019 here https://github.com/huskyproject

1. ports/news/husky/  
2. ports/news/husky-areafix/ - https://github.com/huskyproject/areafix
3. ports/news/husky-fidoconf/ - https://github.com/huskyproject/fidoconf
4. ports/news/husky-hpt/ - https://github.com/huskyproject/hpt
5. ports/news/husky-htick/ - https://github.com/huskyproject/htick
6. ports/news/husky-huskylib/ - https://github.com/huskyproject/huskylib
7. ports/news/husky-smapi/ - https://github.com/huskyproject/smapi
8. ports/news/husky-sqpack/ - https://github.com/huskyproject/sqpack


Thanks.
Comment 1 Ruslan Suleimanov 2020-01-14 18:32:40 UTC
Last full HUSKY project 2019 here: 

http://download.huskyproject.org/sources/husky-all-1.9-source-20191207.zip
Comment 2 Oleg Sharoyko 2020-01-16 11:07:20 UTC
Hello,

I'll try to make required patches although finding time for that is quite hard. I'll probably have to resign as a maintainer - I don't actively use this port any more and maintaining a port which I don't use as you can see doesn't work well.

Regards,
Oleg
Comment 3 Ruslan Suleimanov 2020-01-16 14:11:58 UTC
Привет Олег,

будем тебе очень благодарны если ты обновишь порт так как большинство фидошников использует этот порт в сети Fidonet.

Пжлст найди время, общество фидошников просит :)
Comment 4 Oleg Sharoyko 2020-01-21 21:59:57 UTC
Created attachment 210935 [details]
Update news/husky* ports to 1.9.20191207
Comment 5 Oleg Sharoyko 2020-01-21 22:01:30 UTC
Created attachment 210936 [details]
Output from poudriere test port
Comment 6 Oleg Sharoyko 2020-01-21 22:04:50 UTC
Please see the attached patch. I have verified that new port compiles/can build package/etc but I cannot test that new version actually works (I don't have a configured system to run husky right now). Ruslan, can you please try applying the patch and testing new version of binaries to make sure they work?
Comment 7 Ruslan Suleimanov 2020-01-22 20:52:08 UTC
(In reply to Oleg Sharoyko from comment #6)

Hi Oleg,

Ok i try apply patch and write you ASAP.

Thanks.
Comment 8 Ruslan Suleimanov 2020-01-23 18:29:57 UTC
(In reply to Oleg Sharoyko from comment #6)

Hi Oleg,

Problem with husky-fidoconf, husky-huskylib, husky-smapi

When install husky depends library not compile. Pls look:



....cut.....

mkdir -p /usr/ports/news/husky-htick/work/stage/usr/local/share/info
install  -m 444 htick.info /usr/ports/news/husky-htick/work/stage/usr/local/share/info
mkdir -p /usr/ports/news/husky-htick/work/stage/usr/local/share/doc/husky
install  -m 444 htick*html /usr/ports/news/husky-htick/work/stage/usr/local/share/doc/husky
gmake[4]: Leaving directory '/usr/ports/news/husky-htick/work/htick/doc'
gmake[3]: Leaving directory '/usr/ports/news/husky-htick/work/htick'
====> Compressing man pages (compress-man)
===>  Installing for husky-htick-1.9.20191207
===>  Checking if husky-htick is already installed
===>   Registering installation for husky-htick-1.9.20191207 as automatic
(husky-htick-1.9.20191207) /usr/ports/news/husky-htick/work/stage//usr/local/bin/htick - required shared library libfidoconfig.so.1.9 not found
(husky-htick-1.9.20191207) /usr/ports/news/husky-htick/work/stage//usr/local/bin/htick - required shared library libsmapi.so.2.5 not found
(husky-htick-1.9.20191207) /usr/ports/news/husky-htick/work/stage//usr/local/bin/htick - required shared library libhusky.so.1.9 not found
Installing husky-htick-1.9.20191207...
===> Creating groups.
Using existing group 'fido'.
===> Creating users
Using existing user 'fido'.
===>   husky-1.9.20191207 depends on executable: htick - found
===>   Returning to build of husky-1.9.20191207
===>   Generating temporary packing list
===> Creating groups.
===> Creating users
====> Compressing man pages (compress-man)
root@fido:/usr/ports/news/husky # make install
===>  Installing for husky-1.9.20191207
===>  Checking if husky is already installed
===>   Registering installation for husky-1.9.20191207
Installing husky-1.9.20191207...
===> Creating groups.
Using existing group 'fido'.
===> Creating users
Using existing user 'fido'.
root@fido:/usr/ports/news/husky # mc

root@fido:/usr/ports/news/husky # hpt
ld-elf.so.1: Shared object "libfidoconfig.so.1.9" not found, required by "hpt"
Comment 9 Ruslan Suleimanov 2020-01-23 18:41:07 UTC
(In reply to Oleg Sharoyko from comment #6)


Also i find that after # make install  depends libs compiled but not install(copy) to system Libs catalog(/usr/local/libs/ or /usr/libs/). Please check what happens after install and where all depends libs as husky-fidoconf etc.
Comment 10 Ruslan Suleimanov 2020-01-23 21:34:47 UTC
(In reply to Oleg Sharoyko from comment #6)


port works! :) I copy compiled library to /usr/local/lib and change name library, after no problem star: hpt, htick etc. :) Thanks ! Please update the port !
Comment 11 Oleg Sharoyko 2020-02-04 22:40:57 UTC
Hi Ruslan,

Sorry for the troubles. I found an old backup of my system and will test both clean install and upgrade there. There's at least one problem with current diff - I occasionally deleted PORTEPOCH in husky-smapi. I'll make a new diff once I test it on my backup.

Best regards,
Oleg.
Comment 12 Ruslan Suleimanov 2020-02-06 10:09:12 UTC
Thanks ! If you need test, i ready for test also on my system.
Comment 13 Oleg Sharoyko 2020-02-07 23:00:43 UTC
Created attachment 211459 [details]
Update news/husky* ports to 1.9.20191207
Comment 14 Oleg Sharoyko 2020-02-07 23:01:19 UTC
Created attachment 211460 [details]
Output from poudriere test port
Comment 15 Oleg Sharoyko 2020-02-07 23:03:39 UTC
I think I got it right this time. Ruslan, it would be great if you could test the new version of the patch just to be sure. Thank you!
Comment 16 Ruslan Suleimanov 2020-02-08 22:33:43 UTC
(In reply to Oleg Sharoyko from comment #15)


# pkg info | grep hus
husky-1.9.20191207             Husky full featured highly portable FTN Tosser
husky-areafix-1.9.20191207     Husky FTN areafix library
husky-fidoconf-1.9.20191207    Husky FTN configuration library
husky-hpt-1.9.20191207         Husky FTN tosser
husky-htick-1.9.20191207       Husky FTN file ticker
husky-huskylib-1.9.20191207    Husky generic FTN library
husky-smapi-1.9.20191207,1     Husky FTN MSGAPI library


# hpt -h
hpt/fbsd 1.9.0-cur 2019-12-05

 # htick -h
htick/fbsd 1.9.0-cur 2019-12-05


I install new patch but no all files was patched... also version not changed to 2019-12-07..
why ?
Comment 17 Oleg Sharoyko 2020-02-08 22:55:25 UTC
(In reply to Ruslan Suleimanov from comment #16)

20191207 is what the name of the distfile has: husky-all-1.9-source-20191207

2019-12-05 is the string hardcoded in some source files:
# grep -r 2019-12 work/
work/husky-1.9.20191207/sqpack/cvsdate.h:char cvs_date[]="2019-12-06";
work/husky-1.9.20191207/hpt/h/cvsdate.h:char cvs_date[]="2019-12-05";
work/husky-1.9.20191207/fidoconf/cvsdate.h:char cvs_date[]="2019-12-05";
work/husky-1.9.20191207/htick/h/cvsdate.h:char cvs_date[]="2019-12-05";

Perhaps snapshot of source tree for this version was taken a couple days before release distfile was built. I don't think port should update this - it's what authors put into the distfile. 

If you had my previous patch applied then new version will indeed leave some files untouched. It should still apply clean to the head of the ports tree. If this is not what concerned you please describe what a bit more detailed (can do it in Russian if that's easier, I'm just trying to keep main discussion in English in case someone will follow along this bug later).

I will probably make another version of the patch as I have found a nicer way to handle one caveat.

Regards,
Oleg
Comment 18 Oleg Sharoyko 2020-02-08 23:50:49 UTC
Created attachment 211487 [details]
Update news/husky* ports to 1.9.20191207
Comment 19 Oleg Sharoyko 2020-02-08 23:52:59 UTC
Created attachment 211488 [details]
svn status for the patch (documents adds and deletions)
Comment 20 Oleg Sharoyko 2020-02-08 23:54:53 UTC
Ok, I hope this will be the final version. Ruslan, if you want to give it a try - please do so. Otherwise we can probably proceed with this version.

Regards,
Oleg
Comment 21 Ruslan Suleimanov 2020-02-09 10:30:48 UTC
(In reply to Oleg Sharoyko from comment #20)


No problem i ready test in future :) It's hobby and i like it :)

when i try apple patch then :


# patch < patch-husky
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky/Makefile
|===================================================================
|--- news/husky/Makefile        (revision 523195)
|+++ news/husky/Makefile        (working copy)
--------------------------
Patching file Makefile using Plan A...
Hunk #1 succeeded at 1 with fuzz 1.
Hunk #2 succeeded at 18.
Hunk #3 succeeded at 29.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky/distinfo
|===================================================================
|--- news/husky/distinfo        (revision 523195)
|+++ news/husky/distinfo        (working copy)
--------------------------
Patching file distinfo using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky/files/patch-areafix_Makefile
|===================================================================
|--- news/husky/files/patch-areafix_Makefile    (revision 523195)
|+++ news/husky/files/patch-areafix_Makefile    (nonexistent)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-areafix_Makefile
Patching file /usr/ports/news/husky/files/patch-areafix_Makefile using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|
|Property changes on: news/husky/files/patch-areafix_Makefile
|___________________________________________________________________
|Deleted: fbsd:nokeywords
|## -1 +0,0 ##
|-yes
|\ No newline at end of property
|Index: news/husky/files/patch-fidoconf_Makefile
|===================================================================
|--- news/husky/files/patch-fidoconf_Makefile   (revision 523195)
|+++ news/husky/files/patch-fidoconf_Makefile   (working copy)
--------------------------
File to patch:
Comment 22 Ruslan Suleimanov 2020-02-09 10:40:56 UTC
(In reply to Oleg Sharoyko from comment #20)


full output: 


# patch < patch-husky
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky/Makefile
|===================================================================
|--- news/husky/Makefile        (revision 523195)
|+++ news/husky/Makefile        (working copy)
--------------------------
Patching file Makefile using Plan A...
Hunk #1 succeeded at 1 with fuzz 1.
Hunk #2 succeeded at 18.
Hunk #3 succeeded at 29.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky/distinfo
|===================================================================
|--- news/husky/distinfo        (revision 523195)
|+++ news/husky/distinfo        (working copy)
--------------------------
Patching file distinfo using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky/files/patch-areafix_Makefile
|===================================================================
|--- news/husky/files/patch-areafix_Makefile    (revision 523195)
|+++ news/husky/files/patch-areafix_Makefile    (nonexistent)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-areafix_Makefile
Patching file /usr/ports/news/husky/files/patch-areafix_Makefile using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|
|Property changes on: news/husky/files/patch-areafix_Makefile
|___________________________________________________________________
|Deleted: fbsd:nokeywords
|## -1 +0,0 ##
|-yes
|\ No newline at end of property
|Index: news/husky/files/patch-fidoconf_Makefile
|===================================================================
|--- news/husky/files/patch-fidoconf_Makefile   (revision 523195)
|+++ news/husky/files/patch-fidoconf_Makefile   (working copy)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-fidoconf_Makefile
Patching file /usr/ports/news/husky/files/patch-fidoconf_Makefile using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky/files/patch-fidoconf_doc_Makefile
|===================================================================
|--- news/husky/files/patch-fidoconf_doc_Makefile       (revision 523195)
|+++ news/husky/files/patch-fidoconf_doc_Makefile       (working copy)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-fidoconf_doc_Makefile
Patching file /usr/ports/news/husky/files/patch-fidoconf_doc_Makefile using Plan A...
Hunk #1 succeeded at 1.
Hunk #2 succeeded at 25.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky/files/patch-fidoconf_doc_fidoconfig.texi
|===================================================================
|--- news/husky/files/patch-fidoconf_doc_fidoconfig.texi        (revision 523195)
|+++ news/husky/files/patch-fidoconf_doc_fidoconfig.texi        (nonexistent)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-fidoconf_doc_fidoconfig.texi
Patching file /usr/ports/news/husky/files/patch-fidoconf_doc_fidoconfig.texi using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|
|Property changes on: news/husky/files/patch-fidoconf_doc_fidoconfig.texi
|___________________________________________________________________
|Deleted: fbsd:nokeywords
|## -1 +0,0 ##
|-yes
|\ No newline at end of property
|Deleted: svn:eol-style
|## -1 +0,0 ##
|-native
|\ No newline at end of property
|Deleted: svn:mime-type
|## -1 +0,0 ##
|-text/plain
|\ No newline at end of property
|Index: news/husky/files/patch-fidoconf_makefile.in2
|===================================================================
|--- news/husky/files/patch-fidoconf_makefile.in2       (revision 523195)
|+++ news/husky/files/patch-fidoconf_makefile.in2       (nonexistent)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-fidoconf_makefile.in2
Patching file /usr/ports/news/husky/files/patch-fidoconf_makefile.in2 using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|
|Property changes on: news/husky/files/patch-fidoconf_makefile.in2
|___________________________________________________________________
|Deleted: fbsd:nokeywords
|## -1 +0,0 ##
|-yes
|\ No newline at end of property
|Deleted: svn:eol-style
|## -1 +0,0 ##
|-native
|\ No newline at end of property
|Deleted: svn:mime-type
|## -1 +0,0 ##
|-text/plain
|\ No newline at end of property
|Index: news/husky/files/patch-fidoconf_makefile.inc
|===================================================================
|--- news/husky/files/patch-fidoconf_makefile.inc       (revision 523195)
|+++ news/husky/files/patch-fidoconf_makefile.inc       (nonexistent)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-fidoconf_makefile.inc
Patching file /usr/ports/news/husky/files/patch-fidoconf_makefile.inc using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|
|Property changes on: news/husky/files/patch-fidoconf_makefile.inc
|___________________________________________________________________
|Deleted: fbsd:nokeywords
|## -1 +0,0 ##
|-yes
|\ No newline at end of property
|Index: news/husky/files/patch-fidoconf_man_Makefile
|===================================================================
|--- news/husky/files/patch-fidoconf_man_Makefile       (revision 523195)
|+++ news/husky/files/patch-fidoconf_man_Makefile       (working copy)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-fidoconf_man_Makefile
Patching file /usr/ports/news/husky/files/patch-fidoconf_man_Makefile using Plan A...
Hunk #1 succeeded at 1.
Hunk #2 succeeded at 9.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky/files/patch-fidoconf_man_linkedto.1
|===================================================================
|--- news/husky/files/patch-fidoconf_man_linkedto.1     (revision 523195)
|+++ news/husky/files/patch-fidoconf_man_linkedto.1     (working copy)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-fidoconf_man_linkedto.1
Patching file /usr/ports/news/husky/files/patch-fidoconf_man_linkedto.1 using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky/files/patch-fidoconf_src_line.c
|===================================================================
|--- news/husky/files/patch-fidoconf_src_line.c (nonexistent)
|+++ news/husky/files/patch-fidoconf_src_line.c (working copy)
--------------------------
(Creating file patch-fidoconf_src_line.c...)
Patching file patch-fidoconf_src_line.c using Plan A...
Empty context always matches.
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|
|Property changes on: news/husky/files/patch-fidoconf_src_line.c
|___________________________________________________________________
|Added: fbsd:nokeywords
|## -0,0 +1 ##
|+yes
|\ No newline at end of property
|Added: svn:eol-style
|## -0,0 +1 ##
|+native
|\ No newline at end of property
|Added: svn:mime-type
|## -0,0 +1 ##
|+text/plain
|\ No newline at end of property
|Index: news/husky/files/patch-hpt_Makefile
|===================================================================
|--- news/husky/files/patch-hpt_Makefile        (revision 523195)
|+++ news/husky/files/patch-hpt_Makefile        (working copy)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-hpt_Makefile
Patching file /usr/ports/news/husky/files/patch-hpt_Makefile using Plan A...
Hunk #1 succeeded at 1.
Hunk #2 succeeded at 8.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky/files/patch-hpt_doc_Makefile
|===================================================================
|--- news/husky/files/patch-hpt_doc_Makefile    (revision 523195)
|+++ news/husky/files/patch-hpt_doc_Makefile    (working copy)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-hpt_doc_Makefile
Patching file /usr/ports/news/husky/files/patch-hpt_doc_Makefile using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky/files/patch-hpt_src_perl.c
|===================================================================
|--- news/husky/files/patch-hpt_src_perl.c      (revision 523195)
|+++ news/husky/files/patch-hpt_src_perl.c      (working copy)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-hpt_src_perl.c
Patching file /usr/ports/news/husky/files/patch-hpt_src_perl.c using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky/files/patch-htick_Makefile
|===================================================================
|--- news/husky/files/patch-htick_Makefile      (revision 523195)
|+++ news/husky/files/patch-htick_Makefile      (working copy)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-htick_Makefile
Patching file /usr/ports/news/husky/files/patch-htick_Makefile using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky/files/patch-htick_doc_Makefile
|===================================================================
|--- news/husky/files/patch-htick_doc_Makefile  (revision 523195)
|+++ news/husky/files/patch-htick_doc_Makefile  (working copy)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-htick_doc_Makefile
Patching file /usr/ports/news/husky/files/patch-htick_doc_Makefile using Plan A...
Hunk #1 succeeded at 1.
Hunk #2 succeeded at 9.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky/files/patch-htick_doc_htick.texi
|===================================================================
|--- news/husky/files/patch-htick_doc_htick.texi        (revision 523195)
|+++ news/husky/files/patch-htick_doc_htick.texi        (nonexistent)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-htick_doc_htick.texi
Patching file /usr/ports/news/husky/files/patch-htick_doc_htick.texi using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|
|Property changes on: news/husky/files/patch-htick_doc_htick.texi
|___________________________________________________________________
|Deleted: fbsd:nokeywords
|## -1 +0,0 ##
|-yes
|\ No newline at end of property
|Deleted: svn:eol-style
|## -1 +0,0 ##
|-native
|\ No newline at end of property
|Deleted: svn:mime-type
|## -1 +0,0 ##
|-text/plain
|\ No newline at end of property
|Index: news/husky/files/patch-huskybse_huskymak.cfg
|===================================================================
|--- news/husky/files/patch-huskybse_huskymak.cfg       (revision 523195)
|+++ news/husky/files/patch-huskybse_huskymak.cfg       (working copy)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-huskybse_huskymak.cfg
Patching file /usr/ports/news/husky/files/patch-huskybse_huskymak.cfg using Plan A...
Hunk #1 succeeded at 1.
Hunk #2 succeeded at 9.
Hunk #3 succeeded at 18.
Hunk #4 succeeded at 75.
Hunk #5 succeeded at 84.
Hunk #6 succeeded at 95.
Hunk #7 succeeded at 104.
Hunk #8 succeeded at 121.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky/files/patch-huskylib_Makefile
|===================================================================
|--- news/husky/files/patch-huskylib_Makefile   (revision 523195)
|+++ news/husky/files/patch-huskylib_Makefile   (nonexistent)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-huskylib_Makefile
Patching file /usr/ports/news/husky/files/patch-huskylib_Makefile using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|
|Property changes on: news/husky/files/patch-huskylib_Makefile
|___________________________________________________________________
|Deleted: fbsd:nokeywords
|## -1 +0,0 ##
|-yes
|\ No newline at end of property
|Index: news/husky/files/patch-smapi_Makefile
|===================================================================
|--- news/husky/files/patch-smapi_Makefile      (revision 523195)
|+++ news/husky/files/patch-smapi_Makefile      (nonexistent)
--------------------------
File to patch: /usr/ports/news/husky/files/patch-smapi_Makefile
Patching file /usr/ports/news/husky/files/patch-smapi_Makefile using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|
|Property changes on: news/husky/files/patch-smapi_Makefile
|___________________________________________________________________
|Deleted: fbsd:nokeywords
|## -1 +0,0 ##
|-yes
|\ No newline at end of property
|Index: news/husky-areafix/Makefile
|===================================================================
|--- news/husky-areafix/Makefile        (revision 523195)
|+++ news/husky-areafix/Makefile        (working copy)
--------------------------
Patching file Makefile using Plan A...
Hunk #1 failed at 4.
1 out of 1 hunks failed--saving rejects to Makefile.rej
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky-areafix/pkg-plist
|===================================================================
|--- news/husky-areafix/pkg-plist       (revision 523195)
|+++ news/husky-areafix/pkg-plist       (working copy)
--------------------------
File to patch: /usr/ports/news/husky-areafix/pkg-plist
Patching file /usr/ports/news/husky-areafix/pkg-plist using Plan A...
Hunk #1 succeeded at 5.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky-fidoconf/Makefile
|===================================================================
|--- news/husky-fidoconf/Makefile       (revision 523195)
|+++ news/husky-fidoconf/Makefile       (working copy)
--------------------------
Patching file Makefile using Plan A...
Hunk #1 failed at 4.
Hunk #2 failed at 28.
2 out of 2 hunks failed--saving rejects to Makefile.rej
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky-fidoconf/pkg-plist
|===================================================================
|--- news/husky-fidoconf/pkg-plist      (revision 523195)
|+++ news/husky-fidoconf/pkg-plist      (working copy)
--------------------------
File to patch: /usr/ports/news/husky-fidoconf/pkg-plist
Patching file /usr/ports/news/husky-fidoconf/pkg-plist using Plan A...
Hunk #1 succeeded at 24.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky-hpt/Makefile
|===================================================================
|--- news/husky-hpt/Makefile    (revision 523195)
|+++ news/husky-hpt/Makefile    (working copy)
--------------------------
Patching file Makefile using Plan A...
Hunk #1 failed at 4.
Hunk #2 failed at 24.
2 out of 2 hunks failed--saving rejects to Makefile.rej
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky-htick/Makefile
|===================================================================
|--- news/husky-htick/Makefile  (revision 523195)
|+++ news/husky-htick/Makefile  (working copy)
--------------------------
Patching file Makefile using Plan A...
Hunk #1 failed at 4.
Hunk #2 failed at 32.
2 out of 2 hunks failed--saving rejects to Makefile.rej
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky-huskylib/Makefile
|===================================================================
|--- news/husky-huskylib/Makefile       (revision 523195)
|+++ news/husky-huskylib/Makefile       (working copy)
--------------------------
Patching file Makefile using Plan A...
Hunk #1 failed at 4.
1 out of 1 hunks failed--saving rejects to Makefile.rej
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky-huskylib/pkg-plist
|===================================================================
|--- news/husky-huskylib/pkg-plist      (revision 523195)
|+++ news/husky-huskylib/pkg-plist      (working copy)
--------------------------
File to patch: /usr/ports/news/husky-huskylib/pkg-plist
Patching file /usr/ports/news/husky-huskylib/pkg-plist using Plan A...
Hunk #1 succeeded at 43.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky-smapi/Makefile
|===================================================================
|--- news/husky-smapi/Makefile  (revision 523195)
|+++ news/husky-smapi/Makefile  (working copy)
--------------------------
Patching file Makefile using Plan A...
Hunk #1 failed at 5.
1 out of 1 hunks failed--saving rejects to Makefile.rej
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky-smapi/pkg-plist
|===================================================================
|--- news/husky-smapi/pkg-plist (revision 523195)
|+++ news/husky-smapi/pkg-plist (working copy)
--------------------------
File to patch: /usr/ports/news/husky-smapi/pkg-plist
Patching file /usr/ports/news/husky-smapi/pkg-plist using Plan A...
Hunk #1 succeeded at 9.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky-sqpack/Makefile
|===================================================================
|--- news/husky-sqpack/Makefile (revision 523195)
|+++ news/husky-sqpack/Makefile (working copy)
--------------------------
Patching file Makefile using Plan A...
Hunk #1 failed at 4.
Hunk #2 failed at 18.
2 out of 2 hunks failed--saving rejects to Makefile.rej
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Index: news/husky-sqpack/pkg-descr
|===================================================================
|--- news/husky-sqpack/pkg-descr        (revision 523195)
|+++ news/husky-sqpack/pkg-descr        (working copy)
--------------------------
Patching file pkg-descr using Plan A...
Hunk #1 failed at 1.
1 out of 1 hunks failed--saving rejects to pkg-descr.rej
done
Comment 23 Ruslan Suleimanov 2020-02-09 10:45:16 UTC
(In reply to Oleg Sharoyko from comment #11)


After apple patch, version no change, pls look:


/usr/ports/news/husky # ll
total 84
-rw-r--r--  1 root  wheel    184  9 февр. 12:24 distinfo
-rw-r--r--  1 root  wheel    161  5 авг.   2014 distinfo.orig
drwxr-xr-x  2 root  wheel   1536  9 февр. 12:37 files/
-rw-r--r--  1 root  wheel    819  9 февр. 12:38 Makefile
-rw-r--r--  1 root  wheel    819  9 февр. 12:38 Makefile.orig
-rw-r--r--  1 root  wheel    507  9 февр. 12:38 Makefile.rej
-rw-r--r--  1 root  wheel    225  9 февр. 12:38 Makefile.rej.orig
-rw-r--r--  1 root  wheel    822  9 февр. 12:34 patch-fidoconf_src_line.c
-rw-r--r--  1 root  wheel      0  9 февр. 12:34 patch-fidoconf_src_line.c.orig
-rw-r--r--  1 root  wheel  36872  9 февр. 12:22 patch-husky
-rw-r--r--  1 root  wheel    296  9 февр. 12:38 pkg-descr
-rw-r--r--  1 root  wheel    296 19 мая    2016 pkg-descr.orig
-rw-r--r--  1 root  wheel    281  9 февр. 12:38 pkg-descr.rej

/usr/ports/news/husky/files # ll
total 68
-rw-r--r--  1 root  wheel  1843  5 авг.   2014 patch-areafix_Makefile
-rw-r--r--  1 root  wheel   910 18 апр.   2015 patch-fidoconf_doc_fidoconfig.texi
-rw-r--r--  1 root  wheel   899  5 авг.   2014 patch-fidoconf_doc_Makefile
-rw-r--r--  1 root  wheel  2300  5 авг.   2014 patch-fidoconf_Makefile
-rw-r--r--  1 root  wheel   327 11 авг.   2014 patch-fidoconf_makefile.in2
-rw-r--r--  1 root  wheel   207  5 авг.   2014 patch-fidoconf_makefile.inc
-rw-r--r--  1 root  wheel   607  5 авг.   2014 patch-fidoconf_man_linkedto.1
-rw-r--r--  1 root  wheel   470  5 авг.   2014 patch-fidoconf_man_Makefile
-rw-r--r--  1 root  wheel   416  5 авг.   2014 patch-hpt_doc_Makefile
-rw-r--r--  1 root  wheel   614  5 авг.   2014 patch-hpt_Makefile
-rw-r--r--  1 root  wheel   323 28 марта  2018 patch-hpt_src_perl.c
-rw-r--r--  1 root  wheel   564 18 апр.   2015 patch-htick_doc_htick.texi
-rw-r--r--  1 root  wheel   765  5 авг.   2014 patch-htick_doc_Makefile
-rw-r--r--  1 root  wheel   337  5 авг.   2014 patch-htick_Makefile
-rw-r--r--  1 root  wheel  2754 11 авг.   2014 patch-huskybse_huskymak.cfg
-rw-r--r--  1 root  wheel  2054  5 авг.   2014 patch-huskylib_Makefile
-rw-r--r--  1 root  wheel  1900  5 авг.   2014 patch-smapi_Makefile

/usr/ports/news/husky # cat Makefile
# $FreeBSD: head/news/husky/Makefile 484628 2018-11-10 18:12:57Z bapt $

PORTNAME?=      husky
PORTVERSION=    1.9.20191207
PORTEPOCH?=     0
CATEGORIES?=    news mail
MASTER_SITES=   http://download.huskyproject.org/sources/
DISTNAME=       husky-all-1.9-source-20191207

MAINTAINER?=    osharoiko@gmail.com
COMMENT?=       Husky full featured highly portable FTN Tosser

.if ${PORTNAME} == "husky"
RUN_DEPENDS=    hpt:news/husky-hpt \
                htick:news/husky-htick

NO_BUILD=       yes
NO_INSTALL=     yes
.endif

USES+=          alias dos2unix gmake zip
Comment 24 Oleg Sharoyko 2020-02-09 11:07:55 UTC
Created attachment 211498 [details]
Output from `patch < /tmp/husky_update_v6.diff'
Comment 25 Oleg Sharoyko 2020-02-09 11:17:20 UTC
(In reply to Ruslan Suleimanov from comment #23)

Hmm.. That's weird. Did you try applying it to the clean tree or to the one after the previous patch? It has to be applied to the clean tree as that's how committer will eventually apply it. To verify the patch I just did this:

# cd /usr/ports
!!! this will kill all of your ports, if you have local modifications, don't do this !!!
# rm -r * .[^.]*
# portsnap fetch
# portsnap extract
# fetch -o /tmp/husky_update_v6.diff 'https://bz-attachments.freebsd.org/attachment.cgi?id=211487'
# patch < /tmp/husky_update_v6.diff

Everything has applied cleanly (see attached output). I have then rebuilt husky* ports with this patch without issues and binaries seem to work fine:

# ls -l /usr/local/bin/hpt
-r-xr-xr-x  1 root  wheel  457536  9 Feb 11:13 /usr/local/bin/hpt
# ldd /usr/local/bin/hpt
/usr/local/bin/hpt:
        libperl.so.5.30 => /usr/local/lib/perl5/5.30/mach/CORE/libperl.so.5.30 (0x204af000)
        libthr.so.3 => /lib/libthr.so.3 (0x207e2000)
        libm.so.5 => /lib/libm.so.5 (0x2080b000)
        libcrypt.so.5 => /lib/libcrypt.so.5 (0x2083a000)
        libutil.so.9 => /lib/libutil.so.9 (0x2085b000)
        libareafix.so.1.9 => /usr/local/lib/libareafix.so.1.9 (0x2086f000)
        libfidoconfig.so.1.9 => /usr/local/lib/libfidoconfig.so.1.9 (0x20891000)
        libsmapi.so.2.5 => /usr/local/lib/libsmapi.so.2.5 (0x208ba000)
        libhusky.so.1.9 => /usr/local/lib/libhusky.so.1.9 (0x208db000)
        libc.so.7 => /lib/libc.so.7 (0x208ea000)
# hpt -h | head -1
hpt/fbsd 1.9.0-cur 2019-12-05

Can you please check that you're applying it to the clean tree?
Comment 26 Ruslan Suleimanov 2020-02-09 12:05:26 UTC
(In reply to Oleg Sharoyko from comment #25)

After #make and #make install

hpt have different size with your output..:


root@fido:/usr/ports/news/husky # hpt -h
hpt/fbsd 1.9.0-cur 2019-12-05
...
root@fido:/usr/ports/news/husky # ls -l /usr/local/bin/hpt
-r-xr-xr-x  1 root  wheel  397440  9 февр. 13:57 /usr/local/bin/hpt
root@fido:/usr/ports/news/husky # ldd /usr/local/bin/hpt
/usr/local/bin/hpt:
        libperl.so.5.30 => /usr/local/lib/perl5/5.30/mach/CORE/libperl.so.5.30 (0x8002a6000)
        libthr.so.3 => /lib/libthr.so.3 (0x80060d000)
        libm.so.5 => /lib/libm.so.5 (0x80063a000)
        libcrypt.so.5 => /lib/libcrypt.so.5 (0x80066c000)
        libutil.so.9 => /lib/libutil.so.9 (0x80068d000)
        libareafix.so.1.9 => /usr/local/lib/libareafix.so.1.9 (0x8006a4000)
        libfidoconfig.so.1.9 => /usr/local/lib/libfidoconfig.so.1.9 (0x8006c3000)
        libsmapi.so.2.5 => /usr/local/lib/libsmapi.so.2.5 (0x8006f4000)
        libhusky.so.1.9 => /usr/local/lib/libhusky.so.1.9 (0x800716000)
        libc.so.7 => /lib/libc.so.7 (0x800729000)
root@fido:/usr/ports/news/husky #
Comment 27 Oleg Sharoyko 2020-02-09 12:33:44 UTC
(In reply to Ruslan Suleimanov from comment #26)

To get identical binaries our building environments have to be the same. I think I sent you outputs from

12.1-RELEASE r354233 GENERIC  i386

# freebsd-version -ku
12.1-RELEASE
12.1-RELEASE-p1

root@fido:/usr/ports/news/husky-hpt # cc -v
FreeBSD clang version 8.0.1 (tags/RELEASE_801/final 366581) (based on LLVM 8.0.1)
Target: i386-unknown-freebsd12.1
Thread model: posix
InstalledDir: /usr/bin

If your system is different the binaries will be different. If for example I build it on FreeBSD 12.1-RELEASE-p1 GENERIC  amd64

root@huskyport:/usr/ports/news/husky-hpt # cc -v
FreeBSD clang version 8.0.1 (tags/RELEASE_801/final 366581) (based on LLVM 8.0.1)
Target: x86_64-unknown-freebsd12.1
Thread model: posix
InstalledDir: /usr/bin

I will obviously get a different binary:

# ls -l work/stage/usr/local/bin/hpt
-r-xr-xr-x  1 root  wheel  397440  9 Feb 12:28 work/stage/usr/local/bin/hpt
# md5 work/stage/usr/local/bin/hpt
MD5 (work/stage/usr/local/bin/hpt) = 19199102700a0d9d40b476918ec93db6

vs

# ls -l work/stage/usr/local/bin/hpt
-r-xr-xr-x  1 root  wheel  457536  9 Feb 12:21 work/stage/usr/local/bin/hpt
# md5 work/stage/usr/local/bin/hpt
MD5 (work/stage/usr/local/bin/hpt) = fa2155a5b2be4064498f6cac34ef4638

Did you have a chance to check that the latest patch applies without issues on a clean tree?
Comment 28 Ruslan Suleimanov 2020-02-09 13:08:58 UTC
(In reply to Oleg Sharoyko from comment #27)



root@fido:/usr/ports/news/husky # uname -a
FreeBSD fido.paket.ua 12.1-RELEASE-p2 FreeBSD 12.1-RELEASE-p2 r357318 fidonet  amd64
root@fido:/usr/ports/news/husky # freebsd-version -ku
12.1-RELEASE-p2
12.1-RELEASE-p2
root@fido:/usr/ports/news/husky # cc -v
FreeBSD clang version 8.0.1 (tags/RELEASE_801/final 366581) (based on LLVM 8.0.1)
Target: x86_64-unknown-freebsd12.1
Thread model: posix
InstalledDir: /usr/bin
root@fido:/usr/ports/news/husky # cd /usr/ports/news/husky-hpt
root@fido:/usr/ports/news/husky-hpt # cc -v
FreeBSD clang version 8.0.1 (tags/RELEASE_801/final 366581) (based on LLVM 8.0.1)
Target: x86_64-unknown-freebsd12.1
Thread model: posix
InstalledDir: /usr/bin
root@fido:/usr/ports/news/husky-hpt # ls -l work/stage/usr/local/bin/hpt
-r-xr-xr-x  1 root  wheel  397440  9 февр. 13:57 work/stage/usr/local/bin/hpt
root@fido:/usr/ports/news/husky-hpt # md5 work/stage/usr/local/bin/hpt
MD5 (work/stage/usr/local/bin/hpt) = 19199102700a0d9d40b476918ec93db6
root@fido:/usr/ports/news/husky-hpt # ls -l /usr/local/bin/hpt
-r-xr-xr-x  1 root  wheel  397440  9 февр. 13:57 /usr/local/bin/hpt
root@fido:/usr/ports/news/husky-hpt # md5 work/stage/usr/local/bin/hpt
MD5 (work/stage/usr/local/bin/hpt) = 19199102700a0d9d40b476918ec93db6
root@fido:/usr/ports/news/husky-hpt #
Comment 29 Ruslan Suleimanov 2020-02-09 13:12:02 UTC
(In reply to Oleg Sharoyko from comment #27)

>Did you have a chance to check that the latest patch applies without issues on a >clean tree?

Yes last patch without problem.
Comment 30 Oleg Sharoyko 2020-02-09 13:13:44 UTC
(In reply to Ruslan Suleimanov from comment #29)

Perfect! Thank you very much for your help!
Comment 31 Ruslan Suleimanov 2020-02-09 13:21:27 UTC
(In reply to Oleg Sharoyko from comment #30)


No problem friend, in future i ready test no problem. If I study programming i can help you update Husky :) Thanks ! When FreeBSD team update the port husky ?
Comment 32 Oleg Sharoyko 2020-02-09 13:25:54 UTC
(In reply to Ruslan Suleimanov from comment #31)

To be honest I don't remember what are the next steps in the procedure. I will appreciate if someone with appropriate privileges would advise me regarding next steps. I think the patch is ready, but I don't know what's the best way to signal this. I don't think I can remove "needs-patch" keyword (at least I cannot see any obvious ways). I can also see "needs-qa" keyword but don't know whether what we have tested is enough or maybe I should run some standardized process. Hoping to get some guidance with regard to this.

Kind regards,
Oleg
Comment 33 Tobias C. Berner freebsd_committer 2020-03-08 19:00:54 UTC
(In reply to Oleg Sharoyko from comment #32)

The best way is to mark the patch "maintainer-approval +" -- which you did :) 
Then you have to wait for someone to pick it up... if that takes to long: ping people :)


mfg Tobias
Comment 34 Tobias C. Berner freebsd_committer 2020-03-08 19:09:34 UTC
Committed. Thanks.
Comment 35 commit-hook freebsd_committer 2020-03-08 19:09:34 UTC
A commit references this bug:

Author: tcberner
Date: Sun Mar  8 19:09:20 UTC 2020
New revision: 528069
URL: https://svnweb.freebsd.org/changeset/ports/528069

Log:
  news/husky*: Update ports to latest versions

  PR:		243030
  Submitted by:	Oleg Sharoyko <osharoiko@gmail.com> (maintainer)
  Reported by:	Ruslan Suleimanov <rs@paket.ua>

Changes:
  head/news/husky/Makefile
  head/news/husky/distinfo
  head/news/husky/files/patch-areafix_Makefile
  head/news/husky/files/patch-fidoconf_Makefile
  head/news/husky/files/patch-fidoconf_doc_Makefile
  head/news/husky/files/patch-fidoconf_doc_fidoconfig.texi
  head/news/husky/files/patch-fidoconf_makefile.in2
  head/news/husky/files/patch-fidoconf_makefile.inc
  head/news/husky/files/patch-fidoconf_man_Makefile
  head/news/husky/files/patch-fidoconf_man_linkedto.1
  head/news/husky/files/patch-fidoconf_src_line.c
  head/news/husky/files/patch-hpt_Makefile
  head/news/husky/files/patch-hpt_doc_Makefile
  head/news/husky/files/patch-hpt_src_perl.c
  head/news/husky/files/patch-htick_Makefile
  head/news/husky/files/patch-htick_doc_Makefile
  head/news/husky/files/patch-htick_doc_htick.texi
  head/news/husky/files/patch-huskybse_huskymak.cfg
  head/news/husky/files/patch-huskylib_Makefile
  head/news/husky/files/patch-smapi_Makefile
  head/news/husky-areafix/Makefile
  head/news/husky-areafix/pkg-plist
  head/news/husky-fidoconf/Makefile
  head/news/husky-fidoconf/pkg-plist
  head/news/husky-hpt/Makefile
  head/news/husky-htick/Makefile
  head/news/husky-huskylib/Makefile
  head/news/husky-huskylib/pkg-plist
  head/news/husky-smapi/Makefile
  head/news/husky-smapi/pkg-plist
  head/news/husky-sqpack/Makefile
  head/news/husky-sqpack/pkg-descr